#include <Arduino.h>

#define pin_O2 A1  // pin sur lequel la sonde est branchee 
#define VREF 5000.0 // definition de VREF pour la conversion en volts 
#define ADC_RES 1024.0 // ADC

uint32_t V;

void setup(){
  Serial.begin(9600); // frequence de communication avec le port serie
}

void loop(){
  float raw=analogRead(pin_O2);
  float V=(float)raw*(float)VREF/(float)ADC_RES;
  Serial.print("V = ");
  Serial.print(V,2);  // affichage de la tension sur le port serie
  Serial.println(" mV");
  delay(1000); 
}
